<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: ActuatorSystem Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classActuatorSystem-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ActuatorSystem Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="ActuatorSystem_8hpp_source.html">ActuatorSystem.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for ActuatorSystem:</div>
<div class="dyncontent">
<div class="center"><img src="classActuatorSystem__inherit__graph.png" border="0" usemap="#ActuatorSystem_inherit__map" alt="Inheritance graph"/></div>
<map name="ActuatorSystem_inherit__map" id="ActuatorSystem_inherit__map">
<area shape="rect" id="node3" href="classSmarActActuatorSystem.html" title="{SmarActActuatorSystem\n|# microstepSize\l# _fieldIdPositionMicrons0\l# _fieldIdPositionMicrons1\l# _fieldIdPositionMicrons2\l# _fieldIdCrystalState0\l# _fieldIdCrystalState1\l# _fieldIdCrystalState2\l# _errorCount\l|+ SmarActActuatorSystem()\l+ ~SmarActActuatorSystem()\l}" alt="" coords="5,277,200,501"/></map>
</div>
<div class="dynheader">
Collaboration diagram for ActuatorSystem:</div>
<div class="dyncontent">
<div class="center"><img src="classActuatorSystem__coll__graph.png" border="0" usemap="#ActuatorSystem_coll__map" alt="Collaboration graph"/></div>
<map name="ActuatorSystem_coll__map" id="ActuatorSystem_coll__map">
<area shape="rect" id="node4" href="classActuatorAxis.html" title="{ActuatorAxis\n|# _localID\l# holdMs\l# _name\l# _flip\l|+ ActuatorAxis()\l+ ~ActuatorAxis()\l+ itsActuatorSystem()\l+ GotoAsync()\l+ GotoSync()\l+ GetPositionSync()\l+ SetOption()\l+ LocalID()\l+ Name()\l+ SetName()\l+ SetFlip()\l+ RegisterFields()\l+ UpdateState()\l}" alt="" coords="161,843,311,1189"/><area shape="rect" id="node2" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorAxis * \&gt;\n||}" alt="" coords="16,1256,208,1341"/><area shape="rect" id="node6" href="classStateManager.html" title="{StateManager\n||+ StateManager()\l+ ~StateManager()\l+ state()\l+ logger()\l+ Renew()\l+ RegisterField()\l+ RegisterFieldExc()\l+ indexOfField()\l}" alt="" coords="301,569,443,775"/><area shape="rect" id="node16" href="classDataLogger.html" title="{DataLogger\n|# filename\l# file\l# stream\l# isHeaderPrepared\l|+ DataLogger()\l+ ~DataLogger()\l+ WriteCurrentState()\l+ SetFilename()\l+ valid()\l# PrepareFileHeader()\l}" alt="" coords="355,904,504,1128"/><area shape="rect" id="node8" href="classMeasurementState.html" title="{MeasurementState\n|+ double_nan\l# names\l# units\l|+ operator[]()\l+ MeasurementState()\l+ ~MeasurementState()\l+ GetHeaders()\l+ DumpCurrentValues()\l+ Get()\l+ Update()\l+ Invalidate()\l+ Volatile()\l+ RegisterField()\l+ IndexOfField()\l+ Renew()\l# Update()\l}" alt="" coords="292,173,452,501"/><area shape="rect" id="node10" href="classstd_1_1vector.html" title="{std::vector\&lt; QString \&gt;\n|+ element\l|}" alt="" coords="131,5,283,91"/><area shape="rect" id="node12" href="classstd_1_1vector.html" title="{std::vector\&lt; bool \&gt;\n|+ element\l|}" alt="" coords="307,5,437,91"/><area shape="rect" id="node14" href="classstd_1_1vector.html" title="{std::vector\&lt; double \&gt;\n|+ element\l|}" alt="" coords="461,5,608,91"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4fca8e14a280ed14f173f2f25e4918f2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#a4fca8e14a280ed14f173f2f25e4918f2">ActuatorSystem</a> (unsigned int systemID, unsigned int localSystemID)</td></tr>
<tr class="memitem:a15c756ce149b157d18f1ae0f874292bc"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#a15c756ce149b157d18f1ae0f874292bc">~ActuatorSystem</a> ()</td></tr>
<tr class="memitem:a098e082fb417d133768d65de6f2ef9b3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#a098e082fb417d133768d65de6f2ef9b3">AddAxis</a> (<a class="el" href="classActuatorAxis.html">ActuatorAxis</a> *axisptr)</td></tr>
<tr class="memitem:a2d7e684c9226df9f25578b454aca369e"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#a2d7e684c9226df9f25578b454aca369e">SystemID</a> ()</td></tr>
<tr class="memdesc:a2d7e684c9226df9f25578b454aca369e"><td class="mdescLeft">&#160;</td><td class="mdescRight">in case of smaract: serial number of smaract controller (green box)  <a href="#a2d7e684c9226df9f25578b454aca369e"></a><br/></td></tr>
<tr class="memitem:ae5901b922414bde07626b115e415dfc9"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#ae5901b922414bde07626b115e415dfc9">LocalSystemID</a> ()</td></tr>
<tr class="memdesc:ae5901b922414bde07626b115e415dfc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">system id numbering devices of the same kind within the driver, in case of smaract, 0,1,2...  <a href="#ae5901b922414bde07626b115e415dfc9"></a><br/></td></tr>
<tr class="memitem:a793ffbe816baa451e69df29a3cec334f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#a793ffbe816baa451e69df29a3cec334f">GetAxisPointer</a> (unsigned int localAxisID)</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa534317b76a9ef8042cfc1accbdc6b60"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#aa534317b76a9ef8042cfc1accbdc6b60">nchannels</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aa91617cf975df6aa12e53cef47f3c285"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt; <a class="el" href="classActuatorAxis.html">ActuatorAxis</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#aa91617cf975df6aa12e53cef47f3c285">actuatorAxes</a></td></tr>
<tr class="memitem:afeaffec9c8ee395477198ac9f3c4d03e"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#afeaffec9c8ee395477198ac9f3c4d03e">_systemID</a></td></tr>
<tr class="memitem:aedf147da71ec982792c48e11031e6f63"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorSystem.html#aedf147da71ec982792c48e11031e6f63">_localSystemID</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4fca8e14a280ed14f173f2f25e4918f2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ActuatorSystem::ActuatorSystem </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>systemID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>localSystemID</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a15c756ce149b157d18f1ae0f874292bc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ActuatorSystem::~ActuatorSystem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="a098e082fb417d133768d65de6f2ef9b3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ActuatorSystem::AddAxis </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a> *&#160;</td>
          <td class="paramname"><em>axisptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a793ffbe816baa451e69df29a3cec334f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a> * ActuatorSystem::GetAxisPointer </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>localAxisID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classActuatorSystem_a793ffbe816baa451e69df29a3cec334f_icgraph.png" border="0" usemap="#classActuatorSystem_a793ffbe816baa451e69df29a3cec334f_icgraph" alt=""/></div>
<map name="classActuatorSystem_a793ffbe816baa451e69df29a3cec334f_icgraph" id="classActuatorSystem_a793ffbe816baa451e69df29a3cec334f_icgraph">
<area shape="rect" id="node3" href="classHardwareManager.html#a44bd17839f7647b13901a97f775cefca" title="HardwareManager::GetAxis\lPointer" alt="" coords="268,5,449,51"/><area shape="rect" id="node5" href="classRobot.html#addd6c688b1b4697dcfb7f59c5eb4d820" title="TODO: change RobotRecipe into a reference to par object." alt="" coords="499,13,664,43"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae5901b922414bde07626b115e415dfc9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int ActuatorSystem::LocalSystemID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>system id numbering devices of the same kind within the driver, in case of smaract, 0,1,2... </p>

</div>
</div>
<a class="anchor" id="a2d7e684c9226df9f25578b454aca369e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int ActuatorSystem::SystemID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>in case of smaract: serial number of smaract controller (green box) </p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="aedf147da71ec982792c48e11031e6f63"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int ActuatorSystem::_localSystemID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="afeaffec9c8ee395477198ac9f3c4d03e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int ActuatorSystem::_systemID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aa91617cf975df6aa12e53cef47f3c285"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt;<a class="el" href="classActuatorAxis.html">ActuatorAxis</a>*&gt; ActuatorSystem::actuatorAxes</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aa534317b76a9ef8042cfc1accbdc6b60"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int ActuatorSystem::nchannels</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="ActuatorSystem_8hpp_source.html">ActuatorSystem.hpp</a></li>
<li><a class="el" href="ActuatorSystem_8cpp.html">ActuatorSystem.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
